// lib/mock/mock_data.dart

import '../models/department_category.dart';

/// 模拟数据，后续可直接替换成接口返回
final List<DepartmentCategory> mockCategories = [
  DepartmentCategory(
    id: '1',
    title: '分类一1',
    children: [
      DepartmentCategory(id: '1-1', title: '子项 1-1'),
      DepartmentCategory(id: '1-2', title: '子项 1-2'),
    ],
  ),
  DepartmentCategory(id: '2', title: '分类二'),
  DepartmentCategory(
    id: '3',
    title: '分类三',
    children: [
      DepartmentCategory(
        id: '3-1',
        title: '子项 3-1',
        children: [DepartmentCategory(id: '3-1-1', title: '子项 3-1-1')],
      ),
    ],
  ),
];
